<?php

require_once("../config/conexion.php");
require_once("../models/Persona.php");
require_once("../models/Permisos.php");
$persona = new Persona();
/* =============================================
  JAVASCRIPT
  ============================================= */
switch ($_GET["op"]) {
    case "actualizar_personal":
        if ($_POST["etniaId"] != 18) {
            $_POST["puebloNacionalidadId"] = 60;
        }
        $datos = array("tabla" => "persona",
            "personadbk" => $_POST["personadbk"],
            "tipoDocumentoId" => $_POST["tipoDocumentoId"],
            "identificacion" => $_POST["identificacion"],
            "pnombre" => $_POST["pnombre"],
            "snombre" => $_POST["snombre"],
            "papellido" => $_POST["papellido"],
            "sapellido" => $_POST["sapellido"],
            "sexoId" => $_POST["sexoId"],
            "generoId" => $_POST["generoId"],
            "estadoCivilId" => $_POST["estadoCivilId"],
            "etniaId" => $_POST["etniaId"],
            "puebloNacionalidadId" => $_POST["puebloNacionalidadId"],
            "tipoSangre" => $_POST["tipoSangre"],
            "lugarNacimiento" => $_POST["lugarNacimiento"],
            "fechaNacimiento" => $_POST["fechaNacimiento"],
            "nacionalidad" => $_POST["nacionalidad"],
            "email" => $_POST["email"],
            "emailInstitucional" => $_POST["emailInstitucional"],
            "numcel" => $_POST["numcel"],
            "contactoEmergencia" => $_POST["contactoEmergencia"],
            "telefonoContactoEmergencia" => $_POST["telefonoContactoEmergencia"],
            "tipo" => $_POST["tipo"]
        );
        $persona->mdlActualizarPersona($datos);
        break;
    case "listar":
        $datos = $persona->Consultar($_GET["fil"]);
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("PERSONA", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $estado = $row["estado"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
            $contacto = $row["contacto"];
            $leer = $row["leer"];
        }
        $accesos = "";
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["papellido"] . " " . $row["sapellido"] . " " . $row["pnombre"] . " " . $row["snombre"];
            $sub_array[] = $row["identificacion"];
            $sub_array[] = $row["numcel"];
            $sub_array[] = $row["emailInstitucional"];
            if ($_GET["fil"] == "D") {
                $sub_array[] = $row["descripcion"];
            }
            if ($estado == 1) {
                if ($row["estado"] != "INACTIVO") {
                    $sub_array[] = '<td><button class="btn btn-success btn-xs btnActivarPersona" idPersona="' . $row["personadbk"] . '" estadoPersona="INACTIVO">Activo</button></td>';
                } else {
                    $sub_array[] = '<td><button class="btn btn-danger btn-xs btnActivarPersona" idPersona="' . $row["personadbk"] . '" estadoPersona="ACTIVO">Inactivo</button></td>';
                }
            }
            
            if ($actualizar == 1 ) {
                $accesos = $accesos.'
                <button type="button" onClick="editar(' . $row["personadbk"] . ');" id="' . $row["personadbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';
            }
            if ($eliminar == 1) {
                $accesos = $accesos.'
                <button type="button" onClick="eliminar(' . $row["personadbk"] . ');" id="' . $row["personadbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            if ($leer == 1) {
                $accesos = $accesos.'
                <button type="button" onClick="editar(' . $row["personadbk"] . ');" id="' . $row["personadbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-eye"></i></div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos="";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "mostrar_persona":
        $datos = $persona->Consultar_por_ID($_POST["personadbk"]);
        if (is_array($datos) == true and count($datos) <> 0) {
            foreach ($datos as $row) {
                $output["personadbk"] = $row["personadbk"];
                $output["tipoDocumentoId"] = $row["tipoDocumentoId"];
                $output["identificacion"] = $row["identificacion"];
                $output["pnombre"] = $row["pnombre"];
                $output["snombre"] = $row["snombre"];
                $output["papellido"] = $row["papellido"];
                $output["sapellido"] = $row["sapellido"];
                $output["sexoId"] = $row["sexoId"];
                $output["generoId"] = $row["generoId"];
                $output["estadoCivilId"] = $row["estadoCivilId"];
                $output["etniaId"] = $row["etniaId"];
                $output["puebloNacionalidadId"] = $row["puebloNacionalidadId"];
                $output["tipoSangre"] = $row["tipoSangre"];
                $output["lugarNacimiento"] = $row["lugarNacimiento"];
                $output["fechaNacimiento"] = $row["fechaNacimiento"];
                $output["nacionalidad"] = $row["nacionalidad"];
                $output["email"] = $row["email"];
                $output["emailInstitucional"] = $row["emailInstitucional"];
                $output["numcel"] = $row["numcel"];
                $output["contactoEmergencia"] = $row["contactoEmergencia"];
                $output["telefonoContactoEmergencia"] = $row["telefonoContactoEmergencia"];
                $output["tipo"] = $row["tipo"];
                $output["tipoColegioId"] = $row["tipoColegioId"];
                $output["colegioProviene"] = $row["colegioProviene"];
                $output["ubicacionColegio"] = $row["ubicacionColegio"];
                $output["tituloBachillerato"] = $row["tituloBachillerato"];
                $output["anioGraduacion"] = $row["anioGraduacion"];
                $output["notaBachillerato"] = $row["notaBachillerato"];
                $output["otroTitulo"] = $row["otroTitulo"];
                $output["nivel"] = $row["nivel"];
                $output["otraCarrera"] = $row["otraCarrera"];
                $output["otraInstitucion"] = $row["otraInstitucion"];
                $output["discapacidadId"] = $row["discapacidadId"];
                $output["porcentajeDiscapacidad"] = $row["porcentajeDiscapacidad"];
                $output["numCarnetConadis"] = $row["numCarnetConadis"];
                $output["tipoDiscapacidadId"] = $row["tipoDiscapacidadId"];
                $output["res_pais"] = $row["res_pais"];
                $output["res_provincia"] = $row["res_provincia"];
                $output["res_canton"] = $row["res_canton"];
                $output["res_parroquia"] = $row["res_parroquia"];
                $output["res_barrio"] = $row["res_barrio"];
                $output["res_zona"] = $row["res_zona"];
                $output["res_direccion"] = $row["res_direccion"];
                $output["res_telefono"] = $row["res_telefono"];
                $output["proc_pais"] = $row["proc_pais"];
                $output["proc_provincia"] = $row["proc_provincia"];
                $output["proc_canton"] = $row["proc_canton"];
                $output["proc_parroquia"] = $row["proc_parroquia"];
                $output["proc_barrio"] = $row["proc_barrio"];
                $output["proc_zona"] = $row["proc_zona"];
                $output["proc_direccion"] = $row["proc_direccion"];
            }
            echo json_encode($output);
        }
        break;
    case "resumen":
        $datos = $persona->Resumen();
        $data = Array();
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["provincia"];
            $sub_array[] = $row["canton"];
            $sub_array[] = $row["total"];
            $data[] = $sub_array;
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "residencia":
        $datos = $persona->Residencia();
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("PERSONA", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $estado = $row["estado"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
            $contacto = $row["contacto"];
            $leer = $row["leer"];
        }
        $accesos = "";        
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["papellido"] . " " . $row["sapellido"] . " " . $row["pnombre"] . " " . $row["snombre"];
            $sub_array[] = $row["identificacion"];
            $sub_array[] = $row["prov_descripcion"];
            $sub_array[] = $row["can_descripcion"];
            $sub_array[] = $row["res_parroquia"];
                       
            if ($actualizar == 1 ) {
                $accesos = $accesos.'
                <button type="button" onClick="editar(' . $row["personadbk"] . ');" id="' . $row["personadbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';
            }
            if ($eliminar == 1) {
                $accesos = $accesos.'
                <button type="button" onClick="eliminar(' . $row["personadbk"] . ');" id="' . $row["personadbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            if ($leer == 1) {
                $accesos = $accesos.'
                <button type="button" onClick="editar(' . $row["personadbk"] . ');" id="' . $row["personadbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-eye"></i></div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos="";
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "residenciaE":
        $datos = $persona->ResidenciaE();
        $data = Array();
        $permiso = new Permisos();
        $resultado = $permiso->Permisos_por_Perfil("PERSONA", $_SESSION["perfil"]);
        foreach ($resultado as $row) {
            $estado = $row["estado"];
            $actualizar = $row["actualizar"];
            $eliminar = $row["eliminar"];
            $contacto = $row["contacto"];
            $leer = $row["leer"];
        }
        $accesos = "";        
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["papellido"] . " " . $row["sapellido"] . " " . $row["pnombre"] . " " . $row["snombre"];
            $sub_array[] = $row["identificacion"];
            $sub_array[] = $row["pais_descripcion"];
            $sub_array[] = $row["res_provincia"];
            $sub_array[] = $row["res_canton"];
            if ($actualizar == 1 ) {
                $accesos = $accesos.'
                <button type="button" onClick="editar(' . $row["personadbk"] . ');" id="' . $row["personadbk"] . '" class="btn btn-outline-warning btn-icon"><div><i class="fa fa-edit"></i></div></button>';
            }
            if ($eliminar == 1) {
                $accesos = $accesos.'
                <button type="button" onClick="eliminar(' . $row["personadbk"] . ');" id="' . $row["personadbk"] . '" class="btn btn-outline-danger btn-icon"><div><i class="fa fa-times"></i></div></button>';
            }
            if ($leer == 1) {
                $accesos = $accesos.'
                <button type="button" onClick="editar(' . $row["personadbk"] . ');" id="' . $row["personadbk"] . '" class="btn btn-outline-primary btn-icon"><div><i class="fa fa-eye"></i></div></button>';
            }
            $sub_array[] = $accesos;
            $data[] = $sub_array;
            $accesos="";
            $data[] = $sub_array;
        }
        $results = array(
            "sEcho" => 1,
            "iTotalRecords" => count($data),
            "iTotalDisplayRecords" => count($data),
            "aaData" => $data
        );
        echo json_encode($results);
        break;
    case "estado":
        if (isset($_POST["activarId"]) && isset($_POST["activarPersona"])) {
            $datos = array("tabla" => "persona",
                "personadbk" => $_POST["activarId"],
                "estado" => $_POST["activarPersona"]
            );
            $persona->mdlActualizarEstado($datos);
        }
        break;
    case "hombres":
        $datos = $persona->Total_Hombres();
        foreach ($datos as $row) {
            $output["hombres"] = $row["hombres"];
        }
        echo json_encode($output);
        break;
    case "mujeres":
        $datos = $persona->Total_Mujeres();
        foreach ($datos as $row) {
            $output["mujeres"] = $row["mujeres"];
        }
        echo json_encode($output);
        break;
    case "eliminar":
        $persona->Eliminar($_POST["personadbk"]);
        break;
    case "grafico-estado-civil":
        $datos = $persona->GraficoEstadoCivil($_GET["sexo"]);
        $data = Array();
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["personas"];
            $sub_array[] = $row["descripcion"];
            $data[] = $sub_array;
        }
        echo json_encode($data);
        break;
    case "grafico-edad":
        $datos = $persona->GraficoEdad($_GET["sexo"]);
        $data = Array();
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["cantidad"];
            $sub_array[] = $row["edad"];
            $data[] = $sub_array;
        }
        echo json_encode($data);
        break;
    case "grafico-etnia":
        $datos = $persona->GraficoEtnia($_GET["sexo"]);
        $data = Array();
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["cantidad"];
            $sub_array[] = $row["etnia"];
            $data[] = $sub_array;
        }
        echo json_encode($data);
        break;
    case "grafico-provincias":
        $datos = $persona->GraficoProvincias();
        $data = Array();
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["cantidad"];
            $sub_array[] = $row["provincia"];
            $data[] = $sub_array;
        }
        echo json_encode($data);
        break;
    case "grafico-cantones":
        $datos = $persona->GraficoCantones();
        $data = Array();
        foreach ($datos as $row) {
            $sub_array = array();
            $sub_array[] = $row["cantidad"];
            $sub_array[] = $row["canton"];
            $data[] = $sub_array;
        }
        echo json_encode($data);
        break;
    case "comboPersona":
        $datos = $persona->ComboPersona();
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['personadbk'] . "'>".$row['papellido']." ".$row['sapellido']." ". $row['pnombre'] ." ".$row['snombre']." - ".$row['identificacion']."</option>";
            }
            echo $html;
        }
        break; 
    case "comboDocente":
        $datos = $persona->ComboDocente();
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['personadbk'] . "'>". $row['papellido']." ".$row['sapellido']." ". $row['pnombre'] ." ".$row['snombre']. "</option>";
            }
            echo $html;
        }
        break;
    case "comboEstudiante":
        $datos = $persona->ComboEstudiante();
        if (is_array($datos) == true and count($datos) > 0) {
            foreach ($datos as $row) {
                $html .= "<option value='" . $row['personadbk'] . "'>". $row['papellido']." ".$row['sapellido']." ". $row['pnombre'] ." ".$row['snombre']. "</option>";
            }
            echo $html;
        }
        break;      
    case "select":

        $json = array();

        if(!isset($_GET["searchTerm"])){
            $json = [];
            echo json_encode("No hay datos");
        }else{
            $search = $_GET["searchTerm"];
            $fetchData = $persona->Select($search);

            foreach($fetchData as $row){
                $data['id'] = $row['personadbk'];
                $data['text'] = $row['papellido']." ".$row['sapellido']." ". $row['pnombre'] ." ".$row['snombre'] ." - ".$row['tipo'];
                array_push($json, $data);
            }
        }

        echo json_encode($json);
        break;        
}
?>
